import { OnInit, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AssigneeComponent implements OnInit {
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    animation: boolean;
    search: string;
    selectedAssignees: any[];
    assigneeList: any[];
    activeAssignee: any[];
    payload: any;
    closeEvent: EventEmitter<any>;
    selectedAssigneeEvent: EventEmitter<any>;
    ngOnInit(): void;
    closeList(event?: any): void;
    onSelectAssignee(assignee: any): void;
    deleteAssignee(assignee: any): void;
    isSelected(assignee: any): boolean;
    selectedAssigneeData(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssigneeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssigneeComponent, "app-assignee", never, { "assigneeList": { "alias": "assigneeList"; "required": false; }; "activeAssignee": { "alias": "activeAssignee"; "required": false; }; "payload": { "alias": "payload"; "required": false; }; }, { "closeEvent": "closeEvent"; "selectedAssigneeEvent": "selectedAssigneeEvent"; }, never, never, false, never>;
}
