import { OnInit } from '@angular/core';
import { DialogService } from '../../../../ui-kit/dialog/dialog.service';
import * as i0 from "@angular/core";
export declare class LogicComponent implements OnInit {
    private dialog;
    constructor(dialog: DialogService);
    service: any;
    question: any;
    questionIndex: any;
    editorMode: any;
    operatorVal: any;
    ngOnInit(): void;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    modifyLogic(): void;
    addLogic(): void;
    /**
     * Deletes the logic having given index from visibility logic list
     * @param index Index of selected logic
     */
    deleteLogic(index: number): void;
    formateData(value: any): {
        icon: string;
        name: any;
        identifier: string;
    }[];
    static ɵfac: i0.ɵɵFactoryDeclaration<LogicComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LogicComponent, "app-logic", never, { "service": { "alias": "service"; "required": false; }; "question": { "alias": "question"; "required": false; }; "questionIndex": { "alias": "questionIndex"; "required": false; }; "editorMode": { "alias": "editorMode"; "required": false; }; }, {}, never, never, false, never>;
}
