import { EventEmitter, OnInit } from '@angular/core';
import { EditorService } from '../../services/editor.service';
import * as i0 from "@angular/core";
export declare class QuickSettingsComponent implements OnInit {
    fd: EditorService;
    constructor(fd: EditorService);
    ngOnInit(): void;
    questionIndex: any;
    question: any;
    typeChanged: EventEmitter<any>;
    selectedQuestionDetails: {
        questionValue: string;
        questionName: string;
        questionIcon: string;
        questionClass: string;
    };
    questionTypeDropdown: {
        questionValue: string;
        questionName: string;
        questionIcon: string;
        questionClass: string;
    }[];
    quickSettingsList: any;
    optionsForQuickSettings: any;
    populateSelectedQuestionType(): void;
    changeQuestionType(selectedQuestion: any): void;
    populateQuickSettingsList(): void;
    toggle(e: any, quickSetting: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuickSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuickSettingsComponent, "app-quick-setting", never, { "questionIndex": { "alias": "questionIndex"; "required": false; }; "question": { "alias": "question"; "required": false; }; }, { "typeChanged": "typeChanged"; }, never, never, false, never>;
}
