import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export interface ListEvent {
    searchKey?: string;
    page?: number;
}
export interface panelConfig {
    panelTitle: '';
    entitySingular: '';
    entityPlural: '';
    displayKey: '';
    identifierKey: '';
    parentKey: '';
    parentDisplayKey: '';
    searchPlaceholder: '';
    noDataText: '';
}
export declare class CategoryListSelectionComponent implements OnInit {
    fetchData: EventEmitter<ListEvent>;
    back: EventEmitter<any>;
    next: EventEmitter<any>;
    cancel: EventEmitter<any>;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    list: never[];
    searchKey: string;
    selectedList: any;
    set setList(value: any);
    config: panelConfig;
    currentPage: any;
    recordStart: any;
    recordEnd: any;
    totalRecords: any;
    totalPages: any;
    loading: any;
    selectionMode: 'single' | 'multiple';
    set setSelected(value: any);
    animation: boolean;
    selectedIds: any;
    constructor();
    ngOnInit(): void;
    pageChanged(page: number): void;
    search(): void;
    itemSelected(event: any, item: any): void;
    setSelectedIds(): void;
    deleteItem(evt: any): void;
    close(): void;
    save(): void;
    selectAll(evt: any): void;
    checkSelectAll(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryListSelectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CategoryListSelectionComponent, "app-category-list-selection", never, { "setList": { "alias": "categoryList"; "required": false; }; "config": { "alias": "config"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "recordStart": { "alias": "recordStart"; "required": false; }; "recordEnd": { "alias": "recordEnd"; "required": false; }; "totalRecords": { "alias": "totalRecords"; "required": false; }; "totalPages": { "alias": "totalPages"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "selectionMode": { "alias": "selectionMode"; "required": false; }; "setSelected": { "alias": "selectedList"; "required": false; }; }, { "fetchData": "fetchData"; "back": "back"; "next": "next"; "cancel": "cancel"; }, never, never, false, never>;
}
