import { EventEmitter, OnInit } from '@angular/core';
import { Configurations } from '../../../configurations';
import { ResponsibilityService } from '../../../workflow-services/responsibility.service';
import * as i0 from "@angular/core";
export declare class ParentTableComponent implements OnInit {
    private responsibilityService;
    tableList: any[];
    search: string;
    closeParent: EventEmitter<any>;
    expandCategory: EventEmitter<any>;
    entrustFramework: EventEmitter<any>;
    parentViewData: Array<any>;
    libraryReport: never[];
    entities: never[];
    currentCategory: any;
    loader: boolean;
    currentEntity: any;
    searchText: string;
    env: any;
    picUrl: string;
    constructor(responsibilityService: ResponsibilityService, config?: Configurations);
    ngOnChanges(): void;
    ngOnInit(): void;
    getCategoryDetailsById(id: any): void;
    entrustFrameworkDetails(report: any): void;
    entity_open(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ParentTableComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ParentTableComponent, "app-parent-table", never, { "tableList": { "alias": "tableList"; "required": false; }; "search": { "alias": "search"; "required": false; }; }, { "closeParent": "closeParent"; "expandCategory": "expandCategory"; "entrustFramework": "entrustFramework"; }, never, never, false, never>;
}
