import { EventEmitter, OnInit } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyResponsibilityListComponent implements OnInit {
    private frequencyService;
    onCompletionOfResponsibility: any;
    feature: any;
    selectedResponsibilityDetails: any;
    animation: boolean;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    backButton: EventEmitter<any>;
    selectedResponsibility: EventEmitter<any>;
    responsibilitiesData: any;
    responsibilityLoader: boolean;
    selectedResponsibilityId: any;
    selectedResponsibilityValues: any;
    currentTab: number;
    responsibilityTabs: any;
    responsibilityTabCount: {
        regulationCount: number;
        standardCount: number;
        internalCount: number;
        othersCount: number;
    };
    responsibilitySearchText: string;
    responsibilityCurrentPage: number;
    isValidObj: boolean;
    responsibilityPayload: {
        type: string;
        paginationType: string;
        a: string;
        searchText: string;
        filterData: {
            appList: never[];
            riskIds: never[];
            reviewerId: never[];
            responsibilityCenter: never[];
            entrustedBy: never[];
            entrustedTo: never[];
            responsibilityCategory: never[];
            complianceType: number[];
        };
        pageNo: number;
        sortObj: {
            sortBy: string;
            type: string;
        };
        pageName: string;
    };
    responsibilityList: any;
    regulationCount: any;
    standardsCount: any;
    internalsCount: any;
    othersCount: any;
    featureFlag_on_completion_of: any;
    isOnCompletionRc: boolean;
    close: any;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    back(): void;
    filterByResponsibilityType(type: number): void;
    getResponsibilityList(): void;
    responsibilityPageChange(pageNumber: number): void;
    selectResponsibility(event?: any): void;
    deleteItem(item: any): void;
    save(event: any): void;
    onClickTabChange(tab: any): void;
    search(): void;
    setResponsibilitiesCount(): void;
    featureFlagInitialization(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyResponsibilityListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyResponsibilityListComponent, "app-frequency-responsibility-list", never, { "onCompletionOfResponsibility": { "alias": "onCompletionOfResponsibility"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; "selectedResponsibilityDetails": { "alias": "selectedResponsibilityDetails"; "required": false; }; }, { "backButton": "backButton"; "selectedResponsibility": "selectedResponsibility"; }, never, never, false, never>;
}
