import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class OwnerListComponent implements OnInit, OnChanges {
    usersList: never[];
    selectedUsers: never[];
    userIdKey: string;
    itemNameKey: string;
    itemEmailKey: string;
    showWorkflow: boolean;
    listHeading: string;
    searchPlaceholder: string;
    pluralText: string;
    singularText: string;
    reviewerWorkflowType: string;
    mode: string;
    noDataText: string;
    workflowList: string[];
    workflowText: string;
    disabledIds: any;
    nonRemovableUsersList: any;
    saveSelectedList: EventEmitter<any>;
    closeUsersList: EventEmitter<any>;
    reviewerWorkflowTypeChange: EventEmitter<any>;
    fromResponsibility: any;
    assignorId: any[];
    assigneeIds: any[];
    reviewerIds: any[];
    overseerIds: any[];
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    search: string;
    selectedIds: any[];
    animation: boolean;
    constructor();
    ngOnChanges(): void;
    ngOnInit(): void;
    selectUser(user: any, mode: any): void;
    deleteEvent(event: any): void;
    selectAll(mode: any): void;
    setList(): void;
    checkSelectAll(): boolean;
    save(selectedIds: any): void;
    close(): void;
    workflowTypeChanged(event: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OwnerListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OwnerListComponent, "app-owner-list", never, { "usersList": { "alias": "usersList"; "required": false; }; "selectedUsers": { "alias": "selectedUsers"; "required": false; }; "userIdKey": { "alias": "userIdKey"; "required": false; }; "itemNameKey": { "alias": "itemNameKey"; "required": false; }; "itemEmailKey": { "alias": "itemEmailKey"; "required": false; }; "showWorkflow": { "alias": "showWorkflow"; "required": false; }; "listHeading": { "alias": "listHeading"; "required": false; }; "searchPlaceholder": { "alias": "searchPlaceholder"; "required": false; }; "pluralText": { "alias": "pluralText"; "required": false; }; "singularText": { "alias": "singularText"; "required": false; }; "reviewerWorkflowType": { "alias": "reviewerWorkflowType"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "noDataText": { "alias": "noDataText"; "required": false; }; "workflowList": { "alias": "workflowList"; "required": false; }; "workflowText": { "alias": "workflowText"; "required": false; }; "disabledIds": { "alias": "disabledIds"; "required": false; }; "nonRemovableUsersList": { "alias": "nonRemovableUsersList"; "required": false; }; "fromResponsibility": { "alias": "fromResponsibility"; "required": false; }; "assignorId": { "alias": "assignorId"; "required": false; }; "assigneeIds": { "alias": "assigneeIds"; "required": false; }; "reviewerIds": { "alias": "reviewerIds"; "required": false; }; "overseerIds": { "alias": "overseerIds"; "required": false; }; }, { "saveSelectedList": "saveSelectedList"; "closeUsersList": "closeUsersList"; "reviewerWorkflowTypeChange": "reviewerWorkflowTypeChange"; }, never, never, false, never>;
}
