import { EventEmitter } from '@angular/core';
import { TemplateService } from '../services/template.service';
import { PolicyService } from '../../../workflow-services/policy.service';
import { Configurations } from '../../../configurations';
import * as i0 from "@angular/core";
export declare class SelectTemplateListComponent {
    private templateService;
    private policyService;
    fileUrl: string;
    env: any;
    animation: boolean;
    defaultTemplates: any[];
    customTemplates: any[] | null;
    templateList: any[];
    currentTab: string;
    loader: boolean;
    categoryList: any[];
    defaultCategoryList: any[];
    userCreatedCategoryList: any[];
    sortStatus: number;
    searchCategory: string;
    searchTemplate: string;
    selectedCategory: any[];
    NO_DATA_FOUND_IMAGE: string;
    NO_DATA_FOUND_MESSAGE: string;
    selectedTemplate: any[];
    isPreview: boolean;
    previewTemplate: any;
    selectedCategoryId: number[];
    feature: any;
    onTemplateSelect: EventEmitter<any>;
    constructor(templateService: TemplateService, policyService: PolicyService, config?: Configurations);
    ngOnInit(): void;
    setAnimation(): void;
    switchTab(tab: string): void;
    getCustomTemplates(): void;
    mapCustomTemplate(): void;
    getTemplate(): void;
    mapDefaultTemplate(): void;
    sortBy(key: string): void;
    onSelectCategory(category: any, event: any): void;
    onApplyFilter(event: any): void;
    onSelectTemplate(template: any): void;
    save(): void;
    close(): void;
    deleteEvent(): void;
    onPreview(details: any): void;
    onClosePreview(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectTemplateListComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectTemplateListComponent, "app-select-template-list", never, { "selectedCategoryId": { "alias": "selectedCategoryId"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; }, { "onTemplateSelect": "onTemplateSelect"; }, never, never, false, never>;
}
