import { ElementRef, EventEmitter, OnInit, AfterViewInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class RadioListComponent implements OnInit, AfterViewInit {
    listBlock: ElementRef;
    itemsList: any;
    selectedItems: any;
    identifierKey: string;
    displayKey: string;
    tooltipKey: string;
    config: any;
    twoColumn: boolean;
    closeList: EventEmitter<any>;
    saveList: EventEmitter<any>;
    loader: boolean;
    animation: boolean;
    searchItem: string;
    blockWidth: any;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    selectItem(item: any): void;
    deleteItem(item: any): void;
    save(): void;
    close(): void;
    arrayToId(array: any, identifierKey: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioListComponent, "app-radio-list", never, { "itemsList": { "alias": "itemsList"; "required": false; }; "selectedItems": { "alias": "selectedItems"; "required": false; }; "identifierKey": { "alias": "identifierKey"; "required": false; }; "displayKey": { "alias": "displayKey"; "required": false; }; "tooltipKey": { "alias": "tooltipKey"; "required": false; }; "config": { "alias": "config"; "required": false; }; "twoColumn": { "alias": "twoColumn"; "required": false; }; "loader": { "alias": "loader"; "required": false; }; }, { "closeList": "closeList"; "saveList": "saveList"; }, never, never, false, never>;
}
