import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ResponsibilityRiskSelectorComponent implements OnInit {
    animation: boolean;
    activeTab: string;
    controlIdKey: string;
    itemDisplayKey: string;
    identifierKey: string;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    set activeEntity(value: any);
    listItems: never[];
    selectedItems: any;
    loading: boolean;
    fetchList: EventEmitter<any>;
    closeList: EventEmitter<any>;
    saveList: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    changeTab(type: string): void;
    selectItem(item: any): void;
    deleteItem(item: any): void;
    save(): void;
    close(): void;
    arrayToId(array: any, identifierKey: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponsibilityRiskSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResponsibilityRiskSelectorComponent, "app-responsibility-risk-selector", never, { "activeEntity": { "alias": "activeEntity"; "required": false; }; "listItems": { "alias": "listItems"; "required": false; }; "selectedItems": { "alias": "selectedItems"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; }, { "fetchList": "fetchList"; "closeList": "closeList"; "saveList": "saveList"; }, never, never, false, never>;
}
