import { ElementRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CsSelectComponentUI implements OnChanges {
    dataList: any[];
    dropdownLabel: string;
    displayProperty: string;
    selectedValue: string;
    isRequired: boolean;
    dropdownSubLabel: string;
    disabled: boolean;
    option: ElementRef;
    selectedData: EventEmitter<any>;
    selectedValueChange: EventEmitter<any>;
    placeholder: any;
    stylex: any;
    valueKey: any;
    multipleSelect: any;
    colorProperty: string;
    colorSelected: string;
    colorCode: string;
    dropdownOption: boolean;
    positionReset: boolean;
    getLeft: number;
    getTop: number;
    getWidth: number;
    maxWidth: number;
    activeDoropdown: boolean;
    private optionList;
    set content(content: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    openDropdown(event: any): void;
    selectOption(selectedData: any): void;
    closeDropdown(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CsSelectComponentUI, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CsSelectComponentUI, "app-cs-select", never, { "dataList": { "alias": "dataList"; "required": false; }; "dropdownLabel": { "alias": "dropdownLabel"; "required": false; }; "displayProperty": { "alias": "displayProperty"; "required": false; }; "selectedValue": { "alias": "selectedValue"; "required": false; }; "isRequired": { "alias": "isRequired"; "required": false; }; "dropdownSubLabel": { "alias": "dropdownSubLabel"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "stylex": { "alias": "stylex"; "required": false; }; "valueKey": { "alias": "valueKey"; "required": false; }; "multipleSelect": { "alias": "multipleSelect"; "required": false; }; "colorProperty": { "alias": "colorProperty"; "required": false; }; "colorSelected": { "alias": "colorSelected"; "required": false; }; }, { "selectedData": "selectedData"; "selectedValueChange": "selectedValueChange"; }, never, never, false, never>;
}
