import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class VuiFloatingBarComponent implements OnInit, OnChanges {
    selectedData: any;
    groupSelected: any;
    displayElementKey: string;
    elementId: any;
    singularText: string;
    pluralText: string;
    showNextButton: boolean;
    showFrequencyText: boolean;
    showWorkflow: boolean;
    workflowText: string;
    currentFrequency: string;
    isDisabled: boolean;
    workflowList: string[];
    selectedWorkflow: any;
    workflowPlaceHolder: any;
    mode: string;
    nextDisabled: boolean;
    nonRemovableUsersList: any;
    removePosition: any;
    closeEvent: EventEmitter<any>;
    deleteEvent: EventEmitter<number>;
    closeList: EventEmitter<any>;
    workflowTypeChanged: EventEmitter<any>;
    constructor();
    ngOnChanges(): void;
    ngOnInit(): void;
    next(): void;
    deleteSelected(index: number): void;
    close(): void;
    selectedWorkflowType(event: any): void;
    selectedWorkflowChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VuiFloatingBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VuiFloatingBarComponent, "vui-floating-bar", never, { "selectedData": { "alias": "selectedData"; "required": false; }; "groupSelected": { "alias": "groupSelected"; "required": false; }; "displayElementKey": { "alias": "displayElementKey"; "required": false; }; "elementId": { "alias": "elementId"; "required": false; }; "singularText": { "alias": "singularText"; "required": false; }; "pluralText": { "alias": "pluralText"; "required": false; }; "showNextButton": { "alias": "showNextButton"; "required": false; }; "showFrequencyText": { "alias": "showFrequencyText"; "required": false; }; "showWorkflow": { "alias": "showWorkflow"; "required": false; }; "workflowText": { "alias": "workflowText"; "required": false; }; "currentFrequency": { "alias": "currentFrequency"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "workflowList": { "alias": "workflowList"; "required": false; }; "selectedWorkflow": { "alias": "selectedWorkflow"; "required": false; }; "workflowPlaceHolder": { "alias": "workflowPlaceHolder"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "nextDisabled": { "alias": "nextDisabled"; "required": false; }; "nonRemovableUsersList": { "alias": "nonRemovableUsersList"; "required": false; }; "removePosition": { "alias": "removePosition"; "required": false; }; }, { "closeEvent": "closeEvent"; "deleteEvent": "deleteEvent"; "closeList": "closeList"; "workflowTypeChanged": "workflowTypeChanged"; }, never, ["*"], false, never>;
}
