import { HttpClient } from '@angular/common/http';
import { AuthService } from './auth.service';
import { Configurations } from '../configurations';
import * as i0 from "@angular/core";
export declare class PolicyAPIService {
    private http;
    private authService;
    private config;
    env: any;
    constructor(http: HttpClient, authService: AuthService, config: Configurations);
    payloadBuilder_wordPolicy(policyId: string): {
        module_name: string;
        increment: string;
        action: string;
        ms_word_type: number;
        docx_file_path: string;
        url: {
            edit: string;
            preview: string;
        };
        member_id: any;
        document_id: string;
    };
    createWordPolicy(policyId: string): import("rxjs").Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PolicyAPIService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PolicyAPIService>;
}
