import { ElementRef, OnInit } from '@angular/core';
import { DatePickerComponent } from 'ng2-date-picker';
import { DatePickerConfig } from '../../../interfaces/add-grc';
import { CommonService } from '../../../../../services/common.service';
import * as i0 from "@angular/core";
export declare class VCDatePickerComponent implements OnInit {
    private commonService;
    value: any;
    datePickerOverlay: boolean;
    valueDetails: any;
    dateConfig: DatePickerConfig;
    datePicker: DatePickerComponent;
    datePickerPopUp: ElementRef;
    constructor(commonService: CommonService);
    ngOnInit(): void;
    openDatePicker: () => void;
    closeDatePicker: (event: any) => void;
    removeError(field: string): void;
    documentClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VCDatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VCDatePickerComponent, "lib-date-picker", never, { "valueDetails": { "alias": "valueDetails"; "required": false; }; }, {}, never, never, true, never>;
}
