import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TextFieldComponent {
    titleText: string;
    placeholderText: string;
    textValue: string;
    isReadOnly: boolean;
    isEditMode: boolean;
    disabled: boolean;
    active: boolean;
    textValueChange: EventEmitter<string>;
    onClick: EventEmitter<void>;
    clickOutside: EventEmitter<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextFieldComponent, "lib-text-field", never, { "titleText": { "alias": "titleText"; "required": false; }; "placeholderText": { "alias": "placeholderText"; "required": false; }; "textValue": { "alias": "textValue"; "required": false; }; "isReadOnly": { "alias": "isReadOnly"; "required": false; }; "isEditMode": { "alias": "isEditMode"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "active": { "alias": "active"; "required": false; }; }, { "textValueChange": "textValueChange"; "onClick": "onClick"; "clickOutside": "clickOutside"; }, never, ["[field-icons]", "[is-required]", "[edit-mode]", "[error-message]", "[rich-text-editor]"], true, never>;
}
