import { EventEmitter, OnInit } from '@angular/core';
import { AddRiskService } from '../workflow-services/add-risk.service';
import { AuthService } from '../workflow-services/auth.service';
import { BulkUploadService } from '../services/bulk-upload.service';
import * as i0 from "@angular/core";
export declare class AddMultipleResponsibilityContainerComponent implements OnInit {
    private riskService;
    private authService;
    private bulkUploadService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    downloadStatus: string;
    downloadStatusV2: string;
    downloadPercent: number;
    fileValue: any;
    showSmiley: boolean;
    responsibilityData: any;
    fileName: string;
    singleTabResponsibility: boolean;
    multiTabResponsibility: boolean;
    isFileEmpty: boolean;
    isWrongFile: boolean;
    isWrongFormat: boolean;
    errorMessage: string;
    member_obj_id: string;
    bulkUploadFlag: boolean;
    deployedDate: number;
    memberId: any;
    closeWorkflow: EventEmitter<any>;
    feature: any;
    orgDetails: any;
    isResponsibilitySimplified: boolean;
    constructor(riskService: AddRiskService, authService: AuthService, bulkUploadService: BulkUploadService);
    ngOnInit(): void;
    downloadTemplate(version?: any): void;
    uploadedFileData: any;
    uploadedFile(event: any): void;
    closeSmiley(event: any): void;
    triggerBrowseFile(): void;
    closeAddMultipleResponsibility(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddMultipleResponsibilityContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddMultipleResponsibilityContainerComponent, "lib-add-multiple-responsibility-container", never, { "feature": { "alias": "feature"; "required": false; }; "orgDetails": { "alias": "orgDetails"; "required": false; }; }, { "closeWorkflow": "closeWorkflow"; }, never, never, false, never>;
}
