import { PlatformLocation } from '@angular/common';
import { EventEmitter, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { SnackBarService } from '../ui-kit/snack-bar/snack-bar.service';
import { PolicyService } from '../workflow-services/policy.service';
import { IframeService } from '../services/iframe.service';
import * as i0 from "@angular/core";
export declare class CreateDocumentsComponent implements OnInit {
    private snackBar;
    private policyService;
    private router;
    private route;
    private iframeService;
    private fileToUpload;
    filename: string;
    fileType: string;
    pdf: boolean;
    draft: boolean;
    doc: boolean;
    isUploading: boolean;
    isLoader: boolean;
    selectedDocumentType: string;
    policyId: any;
    policyName: any;
    organization_id: any;
    member_obj_id: any;
    userInfo: any;
    disconnectRefresh: EventEmitter<any>;
    editPolicy: EventEmitter<any>;
    baseURL: string;
    constructor(snackBar: SnackBarService, policyService: PolicyService, router: Router, route: ActivatedRoute, platformLocation: PlatformLocation, iframeService: IframeService);
    ngOnInit(): void;
    handleFileInput(files: FileList): void;
    uploadFile(event: any): void;
    uploadDocxfile(event: any): void;
    changeDocType(event: any): void;
    editor(event: string): void;
    editPolicyEmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateDocumentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateDocumentsComponent, "app-create-documents", never, { "policyId": { "alias": "policyId"; "required": false; }; "policyName": { "alias": "policyName"; "required": false; }; "organization_id": { "alias": "organization_id"; "required": false; }; "member_obj_id": { "alias": "member_obj_id"; "required": false; }; "userInfo": { "alias": "userInfo"; "required": false; }; }, { "disconnectRefresh": "disconnectRefresh"; "editPolicy": "editPolicy"; }, never, never, false, never>;
}
