import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ReportACaseService } from '../report-a-case/services/report-a-case.service';
import * as i0 from "@angular/core";
export declare class MoreOptionComponent implements OnInit, OnChanges {
    private reportACaseService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    currentWorkflow: string;
    openedFrom: string;
    isEditMode: boolean;
    selectedOption: EventEmitter<any>;
    isRCSelected: boolean;
    isProgramSelected: boolean;
    allowedFeature: any;
    orgDetails: any;
    set getOrganizationDetails(details: any);
    isAttributesAvailable: boolean;
    featureflagrole: boolean;
    programSimplifyFlag: boolean;
    ff_rc_listing: boolean;
    permissionText: string;
    placeholderTexts: any;
    businessCycle: any;
    moreOptionsList: any;
    constructor(reportACaseService: ReportACaseService);
    resetRACMoreOptions(): void;
    ngOnChanges(changes: SimpleChanges): void;
    checkGRCAttributes(value: any): void;
    ngOnInit(): void;
    selectMoreOption(event: any, index: number): void;
    populate(evt: any): void;
    hideElements(hiddenList: any): void;
    resetAll(workflowType: string): void;
    updateProgramMoreOptions(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MoreOptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MoreOptionComponent, "app-more-option", never, { "currentWorkflow": { "alias": "currentWorkflow"; "required": false; }; "openedFrom": { "alias": "openedFrom"; "required": false; }; "isEditMode": { "alias": "isEditMode"; "required": false; }; "isRCSelected": { "alias": "isRCSelected"; "required": false; }; "isProgramSelected": { "alias": "isProgramSelected"; "required": false; }; "allowedFeature": { "alias": "allowedFeature"; "required": false; }; "getOrganizationDetails": { "alias": "orgDetailsData"; "required": false; }; "isAttributesAvailable": { "alias": "isAttributesAvailable"; "required": false; }; }, { "selectedOption": "selectedOption"; }, never, never, false, never>;
}
