import { EventEmitter, SimpleChanges } from '@angular/core';
import { Subscription } from 'rxjs';
import { SelectionPopupState } from '../../constants/report-case.constants';
import * as i0 from "@angular/core";
export declare enum SelectionState {
    EMPTY = "EMPTY",
    SELECTED = "SELECTED",
    DISABLED = "DISABLED"
}
export declare class FormSelectBoxComponent {
    subscriptions: Subscription[];
    userGroupSubscription: Subscription;
    readonly SelectionPopupState: SelectionPopupState;
    readonly SelectionState: SelectionState;
    _config: any;
    title: string;
    key: string;
    action: string;
    state: string;
    popupState: string;
    isCaseTypeSelected: boolean;
    chipItems: any[];
    chipGroupItems?: any[];
    set config(value: any);
    isError: boolean;
    errorMessage: string;
    selectedData: any;
    removable: boolean;
    disabled: boolean;
    editDisabled: boolean;
    selectedItemListChange: EventEmitter<any>;
    selectedGroupItemListChange: EventEmitter<any>;
    fieldClicked: EventEmitter<any>;
    ngOnChanges(changes: SimpleChanges): void;
    openSelection(): void;
    setDropdownList(event: any): void;
    removeSelectedList(event: any): void;
    removeGroupSelectedList(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormSelectBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormSelectBoxComponent, "app-form-selectBox", never, { "title": { "alias": "title"; "required": false; }; "key": { "alias": "key"; "required": false; }; "action": { "alias": "action"; "required": false; }; "state": { "alias": "state"; "required": false; }; "popupState": { "alias": "popupState"; "required": false; }; "isCaseTypeSelected": { "alias": "isCaseTypeSelected"; "required": false; }; "chipItems": { "alias": "chipItems"; "required": false; }; "chipGroupItems": { "alias": "chipGroupItems"; "required": false; }; "config": { "alias": "config"; "required": false; }; "isError": { "alias": "isError"; "required": false; }; "errorMessage": { "alias": "errorMessage"; "required": false; }; "selectedData": { "alias": "selectedData"; "required": false; }; "removable": { "alias": "removable"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "editDisabled": { "alias": "editDisabled"; "required": false; }; }, { "selectedItemListChange": "selectedItemListChange"; "selectedGroupItemListChange": "selectedGroupItemListChange"; "fieldClicked": "fieldClicked"; }, never, ["[label]"], false, never>;
}
