import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
interface WorkflowFormInputProps {
    placeholder?: string;
    disabled?: boolean;
    errorMessage?: string;
    hasError?: boolean;
    inputId?: string;
    errorId?: string;
    value?: string;
}
export declare class VCInputComponent implements OnInit {
    placeholder: WorkflowFormInputProps['placeholder'];
    disabled: WorkflowFormInputProps['disabled'];
    errorMessage: WorkflowFormInputProps['errorMessage'];
    hasError: WorkflowFormInputProps['hasError'];
    inputId: string;
    errorId: string;
    value: string;
    remove: boolean;
    valueChange: EventEmitter<string>;
    removeReasonChange: EventEmitter<string>;
    inputElement: ElementRef;
    focus(): void;
    ngOnInit(): void;
    onValueChange(value: string): void;
    removeReason(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VCInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VCInputComponent, "app-vc-input", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "errorMessage": { "alias": "errorMessage"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; "inputId": { "alias": "inputId"; "required": false; }; "errorId": { "alias": "errorId"; "required": false; }; "value": { "alias": "value"; "required": false; }; "remove": { "alias": "remove"; "required": false; }; }, { "valueChange": "valueChange"; "removeReasonChange": "removeReasonChange"; }, never, ["[label]"], false, never>;
}
export {};
