import { EventEmitter, OnInit } from '@angular/core';
import { EditorConfig } from 'vcomply-editor';
import * as i0 from "@angular/core";
export declare class ApprovalWorkflowComponent implements OnInit {
    hideDetails: boolean;
    enableCreateForm: boolean;
    approverWorkFlowList: any;
    allApprovers: any;
    selectedCategory: any;
    editApprovalWorkflow: any;
    createApprovalClick: boolean;
    editWorkflowLevel: any;
    selectedWorkflowNext: EventEmitter<any>;
    listCancelClicked: EventEmitter<any>;
    saveApprovalWorkflow: EventEmitter<any>;
    closeCreateClicked: EventEmitter<any>;
    description: EditorConfig;
    mode: 'CREATE' | 'EDIT';
    approverDetails: any;
    constructor();
    ngOnInit(): void;
    showDetails(): void;
    createApprovalClicked(event: boolean): void;
    cancelClicked(event: any): void;
    nextClicked(event: any): void;
    approvalWorkflowAPICalled(event: any): void;
    onApprovalEdit(event: any): void;
    closeCreateFormClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApprovalWorkflowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApprovalWorkflowComponent, "app-approval-workflow", never, { "approverWorkFlowList": { "alias": "approverWorkFlowList"; "required": false; }; "allApprovers": { "alias": "allApprovers"; "required": false; }; "selectedCategory": { "alias": "selectedCategory"; "required": false; }; "editApprovalWorkflow": { "alias": "editApprovalWorkflow"; "required": false; }; "createApprovalClick": { "alias": "createApprovalClick"; "required": false; }; "editWorkflowLevel": { "alias": "editWorkflowLevel"; "required": false; }; }, { "selectedWorkflowNext": "selectedWorkflowNext"; "listCancelClicked": "listCancelClicked"; "saveApprovalWorkflow": "saveApprovalWorkflow"; "closeCreateClicked": "closeCreateClicked"; }, never, never, false, never>;
}
