import { EventEmitter, OnInit } from '@angular/core';
import { Configurations } from '../../../../configurations';
import * as i0 from "@angular/core";
export declare class WelcomeThankyouComponent implements OnInit {
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    deleteQuestion: EventEmitter<any>;
    entityData: any;
    service: any;
    set allEntityData(entity: any);
    env: any;
    isImageUploading: boolean;
    constructor(config?: Configurations);
    ngOnInit(): void;
    onSelectImage(event: any): void;
    deleteWelcome(): void;
    checkInputMessage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WelcomeThankyouComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WelcomeThankyouComponent, "app-welcome-thankyou", never, { "service": { "alias": "service"; "required": false; }; "allEntityData": { "alias": "entityData"; "required": false; }; }, { "deleteQuestion": "deleteQuestion"; }, never, never, false, never>;
}
