import { ElementRef } from '@angular/core';
import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CategoryMultiSelectComponent implements OnInit, OnChanges {
    listBlock: ElementRef;
    categoryList: any;
    allCategories: any[];
    categoryIdKey: any;
    selectedCategories: any[];
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    search: string;
    activeTab: any;
    selectedIds: any[];
    animation: boolean;
    blockWidth: any;
    saveSelectedCategory: EventEmitter<any>;
    closeList: EventEmitter<any>;
    closeCategoriesList: EventEmitter<any>;
    constructor();
    ngOnChanges(): void;
    ngOnInit(): void;
    selectCategory(mode: any, activeTab: any, category: any): void;
    deleteEvent(event: any): void;
    selectAll(mode: any, activeTab: any): void;
    setList(): void;
    setActiveTab(): void;
    checkSelectAll(activeTab: any): any;
    save(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryMultiSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CategoryMultiSelectComponent, "app-category-multi-select", never, { "categoryList": { "alias": "categoryList"; "required": false; }; "allCategories": { "alias": "allCategories"; "required": false; }; "categoryIdKey": { "alias": "categoryIdKey"; "required": false; }; "selectedCategories": { "alias": "selectedCategories"; "required": false; }; }, { "saveSelectedCategory": "saveSelectedCategory"; "closeList": "closeList"; "closeCategoriesList": "closeCategoriesList"; }, never, never, false, never>;
}
