import { OnInit, EventEmitter } from '@angular/core';
import { DatePickerComponent } from 'ng2-date-picker';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyDailyComponent implements OnInit {
    private frequencyService;
    datePicker: DatePickerComponent;
    mode: any;
    datepickerOverlay: boolean;
    dailyInterval: string;
    dailyInput: number;
    dailyFailed: number;
    dailyLifeCycleStart: Date;
    dailyLifeCycleEndTime: Date;
    dailyLifecycleOccurance: number;
    dailySeletedLifecycleType: number;
    dailyDeactivatedValue: number;
    frequencyInfo: any;
    lifecycleDetails: any;
    frequencyData: any;
    startDate: number;
    pageType: 'responsibility' | 'policy';
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onTimeChanged(event: string, name: string): void;
    valueChangedFirst(event: any): void;
    onValueChange(event: any): void;
    lifecycleChange(event: any): void;
    getDailyFrequency(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyDailyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyDailyComponent, "app-frequency-daily", never, { "mode": { "alias": "mode"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "pageType": { "alias": "pageType"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
