import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyOngoingComponent implements OnInit {
    private frequencyService;
    selectedType: number;
    selectedOngoingType: number;
    frequencyData: any;
    ongoingType: string[];
    frequencyInfo: any;
    startDate: number;
    lifecycleDetails: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onSelected(event: any): void;
    onSelectedOnGoingType(event: any): void;
    getOngoingFrequency(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyOngoingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyOngoingComponent, "app-frequency-ongoing", never, { "selectedType": { "alias": "selectedType"; "required": false; }; "selectedOngoingType": { "alias": "selectedOngoingType"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
