import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import { SnackBarService } from '../../ui-kit/snack-bar/snack-bar.service';
import * as i0 from "@angular/core";
export declare class GroupUsersListComponent implements OnInit, OnChanges {
    private snackbar;
    groupsEnabled: any;
    usersList: never[];
    groupsList: any[];
    selectedUsers: never[];
    userIdKey: string;
    groupIdKey: string;
    openedFrom: string;
    saveSelectedList: EventEmitter<any>;
    closeUsersList: EventEmitter<any>;
    selectedGroups: any[];
    assigneeGroupsList: any[];
    disabledId: any[];
    fromResponsibility: any;
    reviewerIds: any[];
    overseerIds: any[];
    assignorId: any[];
    loader: boolean;
    isDisabledSelected: boolean;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    search: string;
    selectedIds: any[];
    animation: boolean;
    selectedGroupIds: any[];
    selectedgroupList: any[];
    constructor(snackbar: SnackBarService);
    ngOnChanges(): void;
    ngOnInit(): void;
    selectUser(user: any, mode: any): void;
    deleteEvent(event: any): void;
    deleteGroupEvent(event: any): void;
    selectAll(mode: any): void;
    selectAllGroups(mode: any): void;
    validationCheck(isChecked: boolean): void;
    setList(): void;
    setgroupList(): void;
    checkSelectAll(): boolean;
    checkselectAllgroups(): boolean;
    save(selectedIds: any): void;
    close(): void;
    selectGroup(groupIds: any, mode: any): void;
    selectGroupElement(data: any, mode: any): void;
    checkGroupList(groupIds: any[]): boolean;
    hideGroup(groupIds: any[]): boolean;
    currentTab: string;
    switchTab(tab: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupUsersListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupUsersListComponent, "app-group-users-list", never, { "groupsEnabled": { "alias": "groupsEnabled"; "required": false; }; "usersList": { "alias": "usersList"; "required": false; }; "groupsList": { "alias": "groupsList"; "required": false; }; "selectedUsers": { "alias": "selectedUsers"; "required": false; }; "userIdKey": { "alias": "userIdKey"; "required": false; }; "groupIdKey": { "alias": "groupIdKey"; "required": false; }; "openedFrom": { "alias": "openedFrom"; "required": false; }; "selectedGroups": { "alias": "selectedGroups"; "required": false; }; "assigneeGroupsList": { "alias": "assigneeGroupsList"; "required": false; }; "disabledId": { "alias": "disabledId"; "required": false; }; "fromResponsibility": { "alias": "fromResponsibility"; "required": false; }; "reviewerIds": { "alias": "reviewerIds"; "required": false; }; "overseerIds": { "alias": "overseerIds"; "required": false; }; "assignorId": { "alias": "assignorId"; "required": false; }; "loader": { "alias": "loader"; "required": false; }; "isDisabledSelected": { "alias": "isDisabledSelected"; "required": false; }; }, { "saveSelectedList": "saveSelectedList"; "closeUsersList": "closeUsersList"; }, never, never, true, never>;
}
