import { EventEmitter, OnInit } from '@angular/core';
import { FrequencyService } from '../frequency/frequency.service';
import * as i0 from "@angular/core";
export declare class LinkResponsibilityListComponent implements OnInit {
    private frequencyService;
    onCompletionOfResponsibility: any;
    feature: any;
    respIdKey: string;
    selectedResponsibilityValues: any;
    radioSelection: boolean;
    closeButton: EventEmitter<any>;
    selectedResponsibility: EventEmitter<any>;
    animation: boolean;
    responsibilityLoader: boolean;
    isValidObj: boolean;
    isOnCompletionRc: boolean;
    responsibilitiesData: any;
    responsibilityTabCount: any;
    typeToCountProperty: any;
    responsibilityPayload: {
        type: string;
        paginationType: string;
        a: string;
        searchText: string;
        filterData: {
            appList: never[];
            riskIds: never[];
            reviewerId: never[];
            responsibilityCenter: never[];
            entrustedBy: never[];
            entrustedTo: never[];
            responsibilityCategory: never[];
            complianceType: number[];
        };
        pageNo: number;
        sortObj: {
            sortBy: string;
            type: string;
        };
        pageName: string;
    };
    selectedResponsibilityId: any[];
    responsibilityTabs: any[];
    currentTab: number;
    responsibilityCurrentPage: number;
    regulationCount: number;
    standardsCount: number;
    internalsCount: number;
    othersCount: number;
    responsibilitySearchText: string;
    noDataMessage: string;
    noDataImagePath: string;
    responsibilityList: any;
    featureFlag_on_completion_of: any;
    close: any;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    back(): void;
    getResponsibilityValues(): void;
    getResponsibilityList(): void;
    responsibilityPageChange(pageNumber: number): void;
    deleteItem(item: any): void;
    save(event: any): void;
    onClickTabChange(tab: any): void;
    search(): void;
    setResponsibilitiesCount(): void;
    featureFlagInitialization(): void;
    selectResp(resp: any, mode: any): void;
    setList(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkResponsibilityListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkResponsibilityListComponent, "app-link-responsibility-list", never, { "onCompletionOfResponsibility": { "alias": "onCompletionOfResponsibility"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; "respIdKey": { "alias": "respIdKey"; "required": false; }; "selectedResponsibilityValues": { "alias": "selectedResponsibilityValues"; "required": false; }; "radioSelection": { "alias": "radioSelection"; "required": false; }; }, { "closeButton": "closeButton"; "selectedResponsibility": "selectedResponsibility"; }, never, never, false, never>;
}
