import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PolicyAccessComponent implements OnInit {
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    policyAccessType: number;
    SelectedCategory: any;
    orgUsersList: any;
    groupList: any;
    selectedUsers: any;
    selectedGroups: any;
    disabledIds: any;
    usersAccessList: any;
    groupsAccessList: any;
    disabledGroupIds: any;
    futureUsersWillSelect: boolean;
    close: EventEmitter<any>;
    saveCheckPoint: EventEmitter<any>;
    setPolicyAccessType: EventEmitter<any>;
    isConfirmationAlertVisible: boolean;
    selectedUsersDetailsOnNext: any;
    constructor();
    ngOnInit(): void;
    setAccessField(event: number): void;
    disableSelector(): void;
    saveSelectedUsers(event: any): void;
    saveChanges(event: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PolicyAccessComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PolicyAccessComponent, "app-policy-access", never, { "policyAccessType": { "alias": "policyAccessType"; "required": false; }; "SelectedCategory": { "alias": "SelectedCategory"; "required": false; }; "orgUsersList": { "alias": "orgUsersList"; "required": false; }; "groupList": { "alias": "groupList"; "required": false; }; "selectedUsers": { "alias": "selectedUsers"; "required": false; }; "selectedGroups": { "alias": "selectedGroups"; "required": false; }; "disabledIds": { "alias": "disabledIds"; "required": false; }; "usersAccessList": { "alias": "usersAccessList"; "required": false; }; "groupsAccessList": { "alias": "groupsAccessList"; "required": false; }; "disabledGroupIds": { "alias": "disabledGroupIds"; "required": false; }; "futureUsersWillSelect": { "alias": "futureUsersWillSelect"; "required": false; }; }, { "close": "close"; "saveCheckPoint": "saveCheckPoint"; "setPolicyAccessType": "setPolicyAccessType"; }, never, never, false, never>;
}
