import { ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ResponsibilityCentersListComponent implements OnInit, OnChanges {
    listBlock: ElementRef;
    responsibilityCentersList: never[];
    selectedResponsibilityCenters: never[];
    rcIdKey: string;
    radioSelection: boolean;
    saveSelectedList: EventEmitter<any>;
    closeRcList: EventEmitter<any>;
    pluralText: string;
    singularText: string;
    loaded: boolean;
    selectedIds: any[];
    animation: boolean;
    search: string;
    blockWidth: any;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    constructor();
    ngOnChanges(): void;
    ngOnInit(): void;
    selectRc(rc: any, mode: any): void;
    deleteEvent(event: any): void;
    selectAll(mode: any): void;
    setList(): void;
    checkSelectAll(): boolean;
    save(selectedIds: any): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponsibilityCentersListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResponsibilityCentersListComponent, "app-responsibility-centers-list", never, { "responsibilityCentersList": { "alias": "responsibilityCentersList"; "required": false; }; "selectedResponsibilityCenters": { "alias": "selectedResponsibilityCenters"; "required": false; }; "rcIdKey": { "alias": "rcIdKey"; "required": false; }; "radioSelection": { "alias": "radioSelection"; "required": false; }; "pluralText": { "alias": "pluralText"; "required": false; }; "singularText": { "alias": "singularText"; "required": false; }; "loaded": { "alias": "loaded"; "required": false; }; }, { "saveSelectedList": "saveSelectedList"; "closeRcList": "closeRcList"; }, never, never, false, never>;
}
