import { ApplicationRef, Injector, Type, ComponentRef, EnvironmentInjector } from '@angular/core';
import { DialogComponent } from './dialog.component';
import { DialogConfig } from './dialog-config';
import { DialogRef } from './dialog-ref';
import * as i0 from "@angular/core";
export declare class DialogService {
    private appRef;
    private injector;
    private environmentInjector;
    dialogComponentRef: ComponentRef<DialogComponent>;
    constructor(appRef: ApplicationRef, injector: Injector, environmentInjector: EnvironmentInjector);
    open(componentType: Type<any>, config: DialogConfig): DialogRef;
    private appendDialogComponentToBody;
    private removeDialogComponentFromBody;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DialogService>;
}
