import { EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PaginationComponentUI implements OnInit {
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    alphabetsArray: any;
    activeAlphabet: string;
    pageCount: number;
    start: number;
    end: number;
    total: number;
    pageArray: Array<number>;
    currentPage: number;
    enterPageNumber: any;
    isInvalidInput: boolean;
    selectedPage: EventEmitter<any>;
    selectedAlphabet: EventEmitter<any>;
    pageList: any;
    constructor();
    ngOnInit(): void;
    alphabetChange(alphabet: string): void;
    ngOnChanges(event: SimpleChanges): void;
    increaseOrDecrease(value: number): void;
    onEnterPress(event: any): void;
    goToPageArrayGenerate(page: any, shouldEmit: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponentUI, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponentUI, "app-pagination", never, { "activeAlphabet": { "alias": "activeAlphabet"; "required": false; }; "pageCount": { "alias": "pageCount"; "required": false; }; "start": { "alias": "start"; "required": false; }; "end": { "alias": "end"; "required": false; }; "total": { "alias": "total"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; }, { "selectedPage": "selectedPage"; "selectedAlphabet": "selectedAlphabet"; }, never, never, false, never>;
}
