export declare const CONSTANTS: {
    categoryType: {
        label: string;
        value: number;
    }[];
    performanceCalculation: {
        label: string;
        value: string;
    }[];
    dateConfig: {
        disableKeypress: boolean;
        format: string;
        unSelectOnClick: boolean;
        openOnClick: boolean;
        openOnFocus: boolean;
        min: string;
    };
    description: {
        mode: string;
        colorPalette: boolean;
        link: boolean;
        file: boolean;
        id: string;
        placeholder: string;
    };
    objective: {
        mode: string;
        colorPalette: boolean;
        link: boolean;
        file: boolean;
        id: string;
        placeholder: string;
    };
    additionalOption: {
        REVIEWER: boolean;
        OVERSEER: boolean;
        ASSESSMENT: boolean;
        FORMATE_EVIDENCE: boolean;
        CUSTOM_FIELDS: boolean;
        PROGRAM_FREQUENCY: boolean;
        SCOPE_CHANGES: boolean;
        RC: boolean;
        ROLES: boolean;
        OWNERS: boolean;
        APPROVER: boolean;
        ASSIGNEES: boolean;
    };
};
export declare const COLLABORATOR_TOOLTIP = "<strong>Collaborators</strong> can only access responsibilities in this program where they are directly involved, such as creator, reviewer, assignor, oversight user, or collaborator.<br>\n        <br>\n        This role is ideal for users who need to work on specific tasks but shouldn't see the entire program\u2019s contents.\n        <br>\n        <br>\n        <em>Example:</em> In an AML (Anti-Money Laundering) program, the Finance lead added as a collaborator will only see responsibilities related to financial reporting or audits they are linked to, not those owned by Legal or Compliance.";
export declare const COLLABORATOR_PLACEHODLER = "Select users that can collaborate in this Program";
export declare const COLLABORATOR_TOOLTIP_TEXT = "This user has already been selected as a Program Owner.";
