import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SwitchComponent implements ControlValueAccessor {
    change: EventEmitter<any>;
    value: any;
    tooltipMessage: any;
    disabled: boolean | any;
    checked: boolean | any;
    position: any;
    onChanged: (value: any) => void;
    onTouched: () => void;
    writeValue(value: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    valueChanged(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwitchComponent, "switch", never, { "disabled": { "alias": "disabled"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "tooltipMessage": { "alias": "tooltipMessage"; "required": false; }; "value": { "alias": "value"; "required": false; }; "position": { "alias": "position"; "required": false; }; }, { "change": "change"; }, never, never, false, never>;
}
