import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PaginationComponent {
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    currPage: number;
    from: number;
    to: number;
    total: any;
    showPageDetail: boolean;
    totalPage: number;
    set setPage(page: any);
    set setTotalPage(page: any);
    pageInSingleView: number;
    pageChanged: EventEmitter<number>;
    displayArray: any;
    enterPageNo: number | any;
    enterPressed: boolean;
    isInvalidInput: boolean;
    startArray(): void;
    currentIndexUpdate(value: number): void;
    currentIndexAssign(value: number): void;
    validateNumber(e: any): boolean;
    onEnterPress(event: any): void;
    displayArrayUpdate(index: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "vui-pagination", never, { "from": { "alias": "from"; "required": false; }; "to": { "alias": "to"; "required": false; }; "total": { "alias": "total"; "required": false; }; "showPageDetail": { "alias": "showPageDetail"; "required": false; }; "totalPage": { "alias": "totalPage"; "required": false; }; "setPage": { "alias": "currentPage"; "required": false; }; "setTotalPage": { "alias": "totalPage"; "required": false; }; "pageInSingleView": { "alias": "pageInSingleView"; "required": false; }; }, { "pageChanged": "pageChanged"; }, never, never, false, never>;
}
