import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export interface TabSelectorInterface {
    label: string;
    value: any;
}
export declare class TabSelector implements ControlValueAccessor {
    displayArray: Array<TabSelectorInterface>;
    disabled: boolean | any;
    selectedItem: number;
    onValueChanged: EventEmitter<any>;
    onChanged: (value: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    valueChanged(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabSelector, "tab-selector", never, { "disabled": { "alias": "disabled"; "required": false; }; "selectedItem": { "alias": "selectedItem"; "required": false; }; "displayArray": { "alias": "displayArray"; "required": false; }; }, { "onValueChanged": "onValueChanged"; }, never, never, true, never>;
}
