import { HttpClient } from '@angular/common/http';
import { AuthService } from './auth.service';
import { Configurations } from '../configurations';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PolicyService {
    private http;
    private authService;
    env: any;
    PolicyCategoryList: BehaviorSubject<any>;
    linkedPolicies$: BehaviorSubject<any>;
    linkRelatePolicies: any;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    getCategoriesList(): import("rxjs").Observable<any>;
    getWorkflowList(payload: any): import("rxjs").Observable<Object>;
    getPolicyList(req: any): import("rxjs").Observable<Object>;
    submitPolicy(payload: any): import("rxjs").Observable<Object>;
    getReviewers(payload: any): import("rxjs").Observable<Object>;
    getRCList(): import("rxjs").Observable<any[]>;
    getOrganizationPeople(): import("rxjs").Observable<any[]>;
    getCategoryWorkFlows(id: any): import("rxjs").Observable<any[]>;
    fileUploadWorkroom(payload: any, des: any): import("rxjs").Observable<any>;
    saveUploadedFiles(payload: any): import("rxjs").Observable<any>;
    uploadFile(data: any, id: string, path: string): import("rxjs").Observable<Object>;
    uploadDocxFile(data: any, id: string, path: string): import("rxjs").Observable<Object>;
    savePolicyDetails(uname: any, uid: any, id: any, name: any, html: any, isSendForApprove: any): import("rxjs").Observable<Object>;
    fileSizeLimit(file: File): boolean;
    editPolicy(id: any): import("rxjs").Observable<any[]>;
    updatePolicy(payload: any, policyId: any): import("rxjs").Observable<any>;
    extractFile(extension: any, path: any, id: any): import("rxjs").Observable<Object>;
    createApprovalWorkflow(payload: any): import("rxjs").Observable<any>;
    editApprovalWorkflow(payload: any, id: string): import("rxjs").Observable<any>;
    LinkedPoliciesList(policyId: string): import("rxjs").Observable<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PolicyService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PolicyService>;
}
