import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AttributesTextBoxComponent {
    inputValue: string;
    openedPopup: string;
    attributeInfo: any;
    isValidationError: boolean;
    ALL_TEXT: {
        grcObjectName: string;
        grcObjectPlaceholder: string;
        grcOwnersTitle: string;
        grcOwnersPlaceholder: string;
        grcRCTitle: string;
        grcRCPlaceholder: string;
        grcRiskCategoryTitle: string;
        grcRiskCategoryPlaceholder: string;
        otherGRCObjectsTitle: string;
        otherGRCObjectsPlaceholder: string;
        grcDescription: string;
        riskPlaceholder: string;
        grcProgramResponsibilityTitle: string;
        grcProgramResponsibilityPlaceholder: string;
    };
    CDN_LINK: {
        grcObjectName: string;
        grcOwners: string;
        grcRC: string;
        grcType: string;
        customFields: string;
        noData: string;
        linkOthers: string;
        linkGRC: string;
        linkPolicyNoDataImage: string;
        linkedPolicyImage: string;
    };
    VALIDATION_MESSAGE: {
        grcObjectName: string;
        grcOwners: string;
        grcRC: string;
        grc_exists: string;
        attributes: string;
    };
    placeholderText: string;
    onValueChange: EventEmitter<any>;
    onTextChange: (event: any) => void;
    onPopupOpen: (event: any) => void;
    onEdit: (event: any) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttributesTextBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttributesTextBoxComponent, "lib-attributes-text-box", never, { "attributeInfo": { "alias": "attributeInfo"; "required": false; }; "inputValue": { "alias": "inputValue"; "required": false; }; "isValidationError": { "alias": "isValidationError"; "required": false; }; }, { "onValueChange": "onValueChange"; }, never, never, true, never>;
}
