import { EventEmitter } from '@angular/core';
import { ListObject, OpenedPopup } from '../../interfaces/add-grc';
import * as i0 from "@angular/core";
export declare class ListPopupComponent {
    openedPopup: OpenedPopup['type'];
    listObject: ListObject;
    tableCard: any;
    GRCSelectedTab: 0 | 1 | 2 | 3;
    otherGrcCardLoader: boolean;
    mode: 'CREATE' | 'EDIT';
    onEditGRCId: string;
    onSaveSelectedList: EventEmitter<any>;
    getOtherGRCObjects: EventEmitter<any>;
    constructor();
    saveSelectedList(selectedData: number[]): void;
    activeDeSelector(): void;
    getOtherGRCObjectList(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListPopupComponent, "lib-list-popup", never, { "openedPopup": { "alias": "openedPopup"; "required": false; }; "listObject": { "alias": "listObject"; "required": false; }; "tableCard": { "alias": "tableCard"; "required": false; }; "GRCSelectedTab": { "alias": "GRCSelectedTab"; "required": false; }; "onEditGRCId": { "alias": "onEditGRCId"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "onSaveSelectedList": "onSaveSelectedList"; "getOtherGRCObjects": "getOtherGRCObjects"; }, never, never, true, never>;
}
